<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Miscellaneous</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Miscellaneous<br/>
<small>
[<a class="el" href="group__internal.html">Implementation</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#gacb55b82062ce0ebfbcec711b87024fe0">CASClient::getURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#ga1a5732046154c0f69d040513309af5d1">CASClient::setURL</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#ga4dda8e03389ad8a515d4e45cb42859ca">CASClient::authError</a> ($failure, $cas_url, $no_response, $bad_response='', $cas_response='', $err_code='', $err_msg='')</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#gae81fd3e2221392281541b41a973b965c">CASClient::$_url</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#ga08974bbe1899b5ddc7570d454ca27c80">$GLOBALS</a> ['PHPCAS_CLIENT']</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#gae4b200587aaf8750dd62b04054781032">$GLOBALS</a> ['PHPCAS_INIT_CALL']</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#ga0833844c10e860f74fe6dadc02d3b8b7">$GLOBALS</a> ['PHPCAS_AUTH_CHECK_CALL']</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#ga2abd10340f5965a876ccabd507ef8f45">$GLOBALS</a> ['PHPCAS_DEBUG']</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga4dda8e03389ad8a515d4e45cb42859ca"></a><!-- doxytag: member="CASClient::authError" ref="ga4dda8e03389ad8a515d4e45cb42859ca" args="($failure, $cas_url, $no_response, $bad_response='', $cas_response='', $err_code='', $err_msg='')" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::authError </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>failure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>cas_url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>no_response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>bad_response</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>cas_response</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>err_code</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>err_msg</em> = <code>''</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to print the HTML output when the user was not authenticated.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$failure</em>&nbsp;</td><td>the failure that occured </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$cas_url</em>&nbsp;</td><td>the URL the CAS server was asked for </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$no_response</em>&nbsp;</td><td>the response from the CAS server (other parameters are ignored if TRUE) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$bad_response</em>&nbsp;</td><td>bad response from the CAS server ($err_code and $err_msg ignored if TRUE) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$cas_response</em>&nbsp;</td><td>the response of the CAS server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$err_code</em>&nbsp;</td><td>the error code given by the CAS server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$err_msg</em>&nbsp;</td><td>the error message given by the CAS server </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gacb55b82062ce0ebfbcec711b87024fe0"></a><!-- doxytag: member="CASClient::getURL" ref="gacb55b82062ce0ebfbcec711b87024fe0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the URL of the current request (without any ticket CGI parameter).</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The URL </dd></dl>

</div>
</div>
<a class="anchor" id="ga1a5732046154c0f69d040513309af5d1"></a><!-- doxytag: member="CASClient::setURL" ref="ga1a5732046154c0f69d040513309af5d1" args="($url)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setURL </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method sets the URL of the current request</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>url to set for service </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="gae81fd3e2221392281541b41a973b965c"></a><!-- doxytag: member="CASClient::$_url" ref="gae81fd3e2221392281541b41a973b965c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_url<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>the URL of the current request (without any ticket CGI parameter). Written and read by <a class="el" href="group__internal_misc.html#gacb55b82062ce0ebfbcec711b87024fe0">CASClient::getURL()</a>. </p>

</div>
</div>
<a class="anchor" id="ga2abd10340f5965a876ccabd507ef8f45"></a><!-- doxytag: member="CAS.php::$GLOBALS" ref="ga2abd10340f5965a876ccabd507ef8f45" args="['PHPCAS_DEBUG']" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$GLOBALS['PHPCAS_DEBUG']</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This global variable is used to store <a class="el" href="classphp_c_a_s.html">phpCAS</a> debug mode. </p>

</div>
</div>
<a class="anchor" id="ga0833844c10e860f74fe6dadc02d3b8b7"></a><!-- doxytag: member="CAS.php::$GLOBALS" ref="ga0833844c10e860f74fe6dadc02d3b8b7" args="['PHPCAS_AUTH_CHECK_CALL']" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$GLOBALS['PHPCAS_AUTH_CHECK_CALL']</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This global variable is used to store where the method checking the <a class="el" href="classauthentication.html">authentication</a> is called from (to print comprehensive errors) </p>

</div>
</div>
<a class="anchor" id="gae4b200587aaf8750dd62b04054781032"></a><!-- doxytag: member="CAS.php::$GLOBALS" ref="gae4b200587aaf8750dd62b04054781032" args="['PHPCAS_INIT_CALL']" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$GLOBALS['PHPCAS_INIT_CALL']</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This global variable is used to store where the initializer is called from (to print a comprehensive error in case of multiple calls). </p>

</div>
</div>
<a class="anchor" id="ga08974bbe1899b5ddc7570d454ca27c80"></a><!-- doxytag: member="CAS.php::$GLOBALS" ref="ga08974bbe1899b5ddc7570d454ca27c80" args="['PHPCAS_CLIENT']" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$GLOBALS['PHPCAS_CLIENT']</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This global variable is used by the interface class <a class="el" href="classphp_c_a_s.html">phpCAS</a>. </p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
